---
chapter: Introduction
title: Examples
---

# Examples

Padrino is a relatively new framework, but many coders agree the best way to get
familiar with a framework is to see examples of existing applications. Soon, we
hope to compile a list of developed apps using Padrino.

## Open-Source Applications

Below is the current list of known open-source Padrino applications.

Name                                           | Description         | In Production | Author
---------------------------------------------- | ------------------- | ------------- | ------------
[padrino-web](https://github.com/padrino/padrino-web) | Open-sourced padrinorb.com source code. | Yes | [Padrino Team](https://github.com/orgs/padrino/teams/collaborators)
[middleman](http://middlemanapp.com) | A Static Frontend Development Framework (use Padrino for their template helpers). | Yes | [middleman](https://github.com/middleman/middleman)
[hasbeen.in](https://github.com/findoutwho/hasbeen.in) | Your geek-friendly travel site. | Yes | [findoutwho](https://github.com/findoutwho)
[getVolunteers](https://github.com/RmMsr/getVolunteers) | Embed an image anywhere to let people know if your event needs more help. | Yes | [RmMsr](https://github.com/RmMsr) |
[lumen](https://github.com/wordsandwriting/lumen) | Open-source group discussion platform. | Yes | [wordsandwriting](https://github.com/wordsandwriting)
[iTunes Store Transporter: GUI](http://transportergui.com) | GUI for the iTunes Store’s Transporter (iTMSTransporter). | Yes | [sshaw](https://github.com/sshaw)
[HOF Studios Website](http://www.hofstudios.com/) | HOF Studios specializes in game development for PC and mobile platforms. | Yes | [HOF Studios](https://github.com/hofstudios)
[sochi2014 api](http://olympics.clearlytech.com/api-doc.html) | Unofficial olympics for sochi2014. | Yes, but API is no longer active | [clearytech](https://github.com/clearlytech)
[dbd\_notebook](https://github.com/k2052/dbd_notebook) | Source code for notebook.designbreakdown.com (inactive since 2014). | No | [k2052](https://github.com/k2052)
[manicminer-front](https://github.com/jorgefuertes/manicminer-front) | Manicminer Multicoin Mining Pool - Front App (inactive since 2014). | No  [jorgefuertes](https://github.com/jorgefuertes)
[fumblr](https://github.com/pengwynn/fumblr) | Stop fumbling with your Tumblr theme development (inactive since 2013). | No | [pengwynn](https://github.com/pengwynn)
[machete](https://github.com/gtgames/machete) | Simple mongomapper+padrino driven web site engine (inactive since 2012). | No | [gtgames](https://github.com/gtgames)
[shortener-demo]( https://github.com/padrino/shortener-demo) | Example Padrino url shortener app (inactive since 2011). | No | [achiu](https://github.com/achiu)
[haircut](https://github.com/udzura/haircut) | The URL shortener with Padrino and MongoId (inactive since 2011). | No | [udzura](https://github.com/udzura)
[moolah](https://github.com/mcmire/moolah) | A tiny money management app (inactive since 2011). | No | [mcmire](https://github.com/mcmire)
[picciotto](https://github.com/apeacox/picciotto) | Minimalistic website framework (inactive since 2011). | No | [apeacox](https://github.com/apeacox)
[fikas](https://github.com/bratta/fikus) | The Simple Ruby CMS (inactive since 2010). | No | [bratta](https://github.com/bratta)
[pergola](https://github.com/ryanfitz/pergola) | Web frontend to mongoDB (inactive since 2011). | No | [ryanfitz](https://github.com/ryanfitz)
[presto](https://github.com/pengwynn/presto) | Padrino + NestaCMS (inactive since 2010). | No | [pengwynn](http://wynnnetherland.com/)
[shopping-cart](https://github.com/cored/shopping-cart) | The Rails shopping cart demo ported to the Padrino framework (inactive since 2010). | No | [cored](https://github.com/cored)
[omerta](https://github.com/padrino/omerta) | Simple blog platform using Mongo Mapper, MongoDB and Padrino (inactive since 2010). | No | [zenom](https://github.com/zenom)
[mashup](https://github.com/mwlang/mashup) | Displays various RSS feeds on one page (inactive since 2010). | No | [mwlang](https://github.com/mwlang)
[padrino\_questionnaire](https://github.com/pepe/padrino_questionnaire) | Simple questionnaire application (inactive since 2011). | No | [pepe](https://github.com/pepe)
[tokyo-project](https://github.com/CaDs/tokyo-project) | A photo gallery showcasing pictures of Tokyo.  | Yes | [CaDs](https://github.com/CaDs)
[Amethyst](https://github.com/AustinBlues/Amethyst) | Amethyst2 is an RSS/ATOM feed reader Web server inspired by Amphetadisk. | Yes | [AustinBlues](https://github.com/AustinBlues)


## Web Libraries

Name                                    | Description             | Author
--------------------------------------- | ----------------------- | -------------
[padrino-recipes](https://github.com/padrino/padrino-recipes) | Recipes for auto-installing various extra components into Padrino. | [Padrino](https://github.com/padrino)
[padrino-contrib](https://github.com/padrino/padrino-contrib) | Extra libraries that are useful for use in Padrino. | [Padrino](https://github.com/padrino)
[padrino-warden](https://github.com/jondot/padrino-warden) | Provides authentication for your Padrino application. | [jondot](https://github.com/jondot)
[sinatra-simple-navigation](https://github.com/codeplant/sinatra-simple-navigation) | Creates a simple way to do navigation for Padrino and Sinatra. | [codeplant](https://github.com/codeplant)
[Sinatra Wild Extensions](http://www.sinatrarb.com/extensions-wild.html) | Bunch of Sinatra which can be used alongside with Padrino. | -
[padrino-pagination](https://github.com/sumskyi/padrino-pagination) | Pagination for Padrino (inactive since 2014). | [sumskyi](https://github.com/sumskyi)
[rack-recaptcha](https://github.com/achiu/rack-recaptcha) | Rack Middleware for CAPTCHA verification via Recaptcha API | [achiu](https://github.com/achiu)
[padrino-fields](https://github.com/activestylus/padrino-fields) |  Simple, flexible form helpers for the Padrino Framework (inactive since 2013). | [activestylus](https://github.com/activestylus)
[padrino-completion](https://github.com/bolshakov/padrino-completion) | Bash completion for Padrino (inactive since 2012). | [bolshakov](https://github.com/bolshakov)
[vim-padrino](https://github.com/spllr/vim-padrino) | Vim support for Padrino (inactive since 2012). | [spllr](https://github.com/spllr)
[ripl-padrino](https://github.com/achiu/ripl-padrino) | ripl console for Padrino applications (inactive since 2011). | [achiu](https://github.com/achiu)
[padrino-responders](https://github.com/nu7hatch/padrino-responders) | Awesome way to remove redundancy in your Padrino controllers (inactive since 2011). | [nu7hatch](https://github.com/nu7hatch)
[view\_models](https://github.com/floere/view_models) | A view model/representer solution for Padrino and Rails (inactive since 2012). | [floere](https://github.com/floere)
[declarative\_authorization\_padrino](https://github.com/dariocravero/declarative_authorization_padrino) | Declarative Authorization for Padrino (inactive since 2011). | [dariocravero](https://github.com/dariocravero)
[padrino-rpm](https://github.com/Asquera/padrino-rpm) | New Relic RPM for Padrino (inactive since 2011). | [Asquera](https://github.com/Asquera)
[padrino-form-errors](https://github.com/nu7hatch/padrino-form-errors) | Simple way to handle errors more robustly (inactive since 2010). | [nu7hatch](https://github.com/nu7hatch)


## Closed-source Applications

Name                                    | Description             | In Production | Author
--------------------------------------- | ----------------------- | ------------- | ------------
[Maptia](http://maptia.com/)            | A beautiful way to tell stories about places. | Yes | -
[Brainfeed](http://brainfeed.org/)      | Back-end for iPad app that presents educational videos for kids | Yes | -
[Coca Cola Enterprises](http://www.cokecce.com) | Coca Cola's European bottling arm. Webby award. | Yes           | -
[jumpseller](http://jumpseller.com) | SaaS to create online stores | Yes            | -
[FreshBSD](http://freshbsd.org) | FreshBSD is a search engine cataloguing the development of major BSD-associated software | Yes | [Thomas Hurst](http://hur.st/)
[Smartmedia](http://www.smartmedia.cz) | Create advanced mobile, facebook and web applications | Yes | -
[Otticalisotti](http://www.otticalisotti.com/) | | Yes | -
[martianoids.com](http://martianoids.com) | System administration company at Spain. Products and blog. | Yes | [jorgefuertes](https://github.com/jorgefuertes)
[demo.biosig.xyz](http://demo.biosig.xyz) | Voice biometric software, where you can enroll and authenticate using voice. | Yes | [jorgefuertes](https://github.com/jorgefuertes)
[api.biosig.xyz](http://api.biosig.xyz) | The api for demo.biosig.xyz | Yes | [jorgefuertes](https://github.com/jorgefuertes)
[HRPartner](http://www.hrpartner.io/) | The go-to cloud HR software for small & medium-sized businesses. | Yes | [Devan Sabaratnam](https://github.com/CyberFerret)
[Logbook HQ](http://www.logbookhq.com/) | An easy and beautiful way to track your mileage, fuel and other car expenses. | Yes | [Devan Sabaratnam](https://github.com/CyberFerret)
[StaffStatus](http://www.staffstatus.io/) | Allows staff to maintain their in-out status. | Yes | [Devan Sabaratnam](https://github.com/CyberFerret)


Unknown if they still use Padrino, but I asked them:

- http://www.idyllic-software.com
- http://edenspiekermann.com
- http://salin.org
- http://www.videofy.me - VideofyMe helps bloggers make money with a slick video platform.
- http://www.headlondon.com - London web agency using Padrino as its main dev framework
- http://www.clearhaus.com - Acquiring merchant services
- https://nofity.com - When notes meets social
- http://landmoda.com - Networks for models in the world!
- http://martianoids.com - System administration company at Spain. Products and blog.
- http://middlemanapp.com - Middleman: A Static Frontend Development Framework
